zenilib: zenilib/jni/external/freetype2/src/truetype/ttgload.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ttgload.h File Reference
`#include <ft2build.h>`
`#include "ttobjs.h"`

Go to the source code of this file.

## Functions

| TT_Get_HMetrics (TT_Face face, FT_UInt idx, FT_Short *lsb, FT_UShort *aw)
| TT_Get_VMetrics (TT_Face face, FT_UInt idx, FT_Short *tsb, FT_UShort *ah)
FT_BEGIN_HEADER | TT_Init_Glyph_Loading (TT_Face face)
| TT_Load_Glyph (TT_Size size, TT_GlyphSlot glyph, FT_UInt glyph_index, FT_Int32 load_flags)

## Function Documentation

TT_Get_HMetrics | ( | TT_Face | face,
|  | FT_UInt | idx,
|  | FT_Short * | lsb,
|  | FT_UShort * | aw
| ) |  |

Definition at line 71 of file ttgload.c.

References FT_TRACE5.

Referenced by tt_get_advances(), and tt_get_metrics().

TT_Get_VMetrics | ( | TT_Face | face,
|  | FT_UInt | idx,
|  | FT_Short * | tsb,
|  | FT_UShort * | ah
| ) |  |

Definition at line 94 of file ttgload.c.

References FT_TRACE5.

Referenced by tt_get_advances(), and tt_get_metrics().

FT_BEGIN_HEADER TT_Init_Glyph_Loading | ( | TT_Face | face | ) |

Definition at line 676 of file ttgload.c.

References TT_Access_Glyph_Frame(), TT_Forget_Glyph_Frame(), TT_Load_Composite_Glyph(), TT_Load_Glyph_Header(), and TT_Load_Simple_Glyph().

Referenced by tt_face_init().

TT_Load_Glyph | ( | TT_Size | size,
|  | TT_GlyphSlot | glyph,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 1981 of file ttgload.c.

References TT_LoaderRec_::bbox, compute_glyph_metrics(), error, TT_LoaderRec_::exec, FALSE, FT_GLYPH_FORMAT_OUTLINE, FT_IS_SCALABLE, FT_LOAD_NO_BITMAP, FT_LOAD_NO_SCALE, FT_LOAD_SBITS_ONLY, FT_OUTLINE_HIGH_PRECISION, FT_OUTLINE_IGNORE_DROPOUTS, FT_OUTLINE_INCLUDE_STUBS, FT_OUTLINE_SINGLE_PASS, FT_OUTLINE_SMART_DROPOUTS, FT_Outline_Translate(), TT_LoaderRec_::gloader, TT_ExecContextRec_::GS, if(), IS_HINTED, TT_LoaderRec_::linear, load_truetype_glyph(), TT_LoaderRec_::pp1, TT_FaceRec_::root, TT_GraphicsState_::scan_control, TT_GraphicsState_::scan_type, TT_LoaderRec_::top_bearing, TRUE, TT_CONFIG_OPTION_EMBEDDED_BITMAPS, tt_loader_init(), TT_LoaderRec_::vadvance, FT_Vector_::x, and FT_BBox_::yMax.

Referenced by tt_glyph_load().